### Method

# GLib IOChannel get_close_on_unref

#### Declaration

    gboolean
    g_io_channel_get_close_on_unref (
      GIOChannel* channel
    )

#### Description

Returns whether the file/socket/whatever associated with `channel` will be closed when `channel` receives its final unref and is destroyed. The default value of this is `TRUE` for channels created by g_io_channel_new_file (), and `FALSE` for all other channels.

#### Return value

Type: `gboolean`

`TRUE` if the channel will be closed, `FALSE` otherwise.